Heroes of Might and Magic III: The Restoration of Erathia

Linux.fista
Siirry navigaatioon Siirry hakuun
Heroes of Might and Magic III
Homm3 valikko.jpg
Homm3 valikko
Käyttöliittymä SDL
Lisenssi suljettu
Kotisivu http://lokifiles.tuxgames.com/updates/heroes3/ [vanhentunut linkki]

Heroes of Might and Magic III: The Restoration of Erathia on erittäin suosittu strategiapeli.

Homm3 pelikuva

Loki Games -versio[muokkaa]

Peli on natiivisti käännetty Linuxille vuonna 1999 edesmenneen Loki Games -yhtiön toimesta. Asentamiseen tarvitaan linux-version CD tai ISO-tiedosto ja lisäksi päivityspaketti heroes3-1.3.1a-unified-x86.run, joka löytyy osoitteesta. Asennus voi vaatia pieniä muutoksia komentoihin, jos 64-bittinen järjestelmä.


Mountataan ISO-tiedosto ja ksh asennetaan pakettivarastosta. Asennusohjelma kysyy muutaman kysymyksen ja vastaa kaikkiin kyllä 'y'.

mkdir /tmp/mhh
sudo mount -o loop HMM3-Linux.iso /tmp/mhh
sudo apt-get install ksh
sudo ksh /tmp/mhh/setup.sh

Seuraavaksi asennetaan päivityspaketti. Voit ladata valmiin tästä heroes3-1.3.1a-unified-x86-lokipatch.tar.gz, 'sh ./update.sh' ja siirry umount vaiheeseen. Tai voit tehdä korjatun päivityspaketin itse seuraavasti

Normaalisti päivitys ei toimi ilman korjausta ja tulee virheilmoitus, joten ensin puretaan päivitys kansioon

wget http://lokifiles.tuxgames.com/updates/heroes3/heroes3-1.3.1a-unified-x86.run
chmod +x heroes3-1.3.1a-unified-x86.run
_POSIX2_VERSION=199209 ./heroes3-1.3.1a-unified-x86.run --keep

Ladataan ja asennetaan päivitykseen korjauspaketti nimeltään 'loki_patch' ja korvaa vanha tiedosto

wget http://icculus.org/~msphil/loki/x86/loki_patch
chmod +x loki_patch
mv loki_patch /heroes3-1.3.1a-unified-x86/bin/Linux/x86/loki_patch
cd heroes3-1.3.1a-unified-x86/
sh ./update.sh

Jos tulee virhe, tee vastaavasti näin (korjaa polut mistä tiedostot ja pelin asennus sinulla löytyy):

sudo ./bin/Linux/x86/loki_patch patch.dat /usr/local/games/Heroes3/

ISO-tiedosto pois käytöstä

sudo umount /tmp/hmm

Nyt voit seuraavaksi vielä varmistaa että päivitys on asennettu.

./heroes3 --version
$ ./heroes3 --version
Heroes of Might & Magic III 1.3.1a
Built with glibc-2.1 on x86


Koska peli on vuodelta 1999 se ei ole enää yhteensopiva nykyisten kirjastojen kanssa, joten äänet eivät toimi. Tarvitaan vanhat yhteensopivat kirjastot "loki compat libs" jotka siirretään /usr/local/lib kansioon. Sinne missä on vain python-kansio

wget http://www.swanson.ukfsn.org/loki/loki_compat_libs-1.5.tar.bz2
tar -xvjf loki_compat_libs-1.5.tar.bz2
sudo mv Loki_Compat /usr/local/lib

mene asennuskansioon ja peli käynnistetään komennolla, joka lataa vanhat kirjastot (huom. lopussa oleva '-w' käynnistää pelin ikkunassa)

LD_PRELOAD=/usr/local/lib/Loki_Compat/libstdc++-3-libc6.2-2-2.10.0.so:/usr/local/lib/Loki_Compat/libsmpeg-0.4.so.0.1.3:/usr/local/lib/Loki_Compat/libsmjpeg-0.2.so.0:/usr/local/lib/Loki_Compat/libSDL_mixer-1.2.so.0 './heroes3.dynamic' -w

Katso myös[muokkaa]